[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#339581: marked as done (texmacs: missing dependency to groff (pfbtops))

Your message dated Tue, 17 Apr 2007 15:02:29 +0000
with message-id <E1HdpCP-0005Px-Nx@ries.debian.org>
and subject line Bug#339581: fixed in texmacs 1:
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: texmacs
Version: 1:
Severity: normal
Tags: patch

When trying to export to pdf with Type 1 fonts, TeXmacs prints the following

sh: pfbtops: command not found

and the pdf output does not contain Type 1 fonts, but the bitmapped Type 3
ones. After installing groff, which contains the pfbtops command, pdf output
with Type 1 fonts works as it should. The fix seems to be to add a
dependency to groff.


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (650, 'testing'), (600, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=fi_FI.UTF-8 (charmap=UTF-8)

Versions of packages texmacs depends on:
ii  guile-1.6-libs            1.6.7-1        Main Guile libraries
ii  libc6                     2.3.5-6        GNU C Library: Shared libraries an
ii  libfreetype6              2.1.7-2.4      FreeType 2 font engine, shared lib
ii  libgcc1                   1:4.0.2-3      GCC support library
ii  libguile-ltdl-1           1.6.7-1        Guile's patched version of libtool
ii  libltdl3                  1.5.20-2       A system independent dlopen wrappe
ii  libqthreads-12            1.6.7-1        QuickThreads library for Guile
ii  libstdc++6                4.0.2-3        The GNU Standard C++ Library v3
ii  libx11-6                  6.8.2.dfsg.1-7 X Window System protocol client li
ii  libxext6                  6.8.2.dfsg.1-7 X Window System miscellaneous exte
ii  tetex-base                2.0.2c-9       Basic library files of teTeX
ii  tetex-bin                 2.0.2-31       The teTeX binary files
ii  tetex-extra               2.0.2c-9       Additional library files of teTeX
ii  texmacs-common            1:   WYSIWYG emacs-ish mathematical tex
ii  xbase-clients             6.8.2.dfsg.1-7 miscellaneous X clients
ii  xlibs                     6.8.2.dfsg.1-7 X Window System client libraries m
ii  zlib1g                    1:1.2.3-4      compression library - runtime

Versions of packages texmacs recommends:
ii  gs                      8.15-4           Transitional package
ii  gs-gpl [gs]             8.15-4           The GPL Ghostscript PostScript int
ii  ispell               International Ispell (an interacti
ii  libjpeg-progs           6b-10            Programs for manipulating JPEG fil
pn  libtiff-tools           <none>           (no description available)
ii  netpbm                  2:10.0-10        Graphics conversion tools
ii  xfig                    1:3.2.5-alpha5-4 Facility for Interactive Generatio

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: texmacs
Source-Version: 1:

We believe that the bug you reported is fixed in the latest version of
texmacs, which is due to be installed in the Debian FTP archive:

  to pool/main/t/texmacs/texmacs-common_1.0.6.9-3_all.deb
  to pool/main/t/texmacs/texmacs_1.0.6.9-3.diff.gz
  to pool/main/t/texmacs/texmacs_1.0.6.9-3.dsc
  to pool/main/t/texmacs/texmacs_1.0.6.9-3_i386.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 339581@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Atsuhito KOHDA <kohda@debian.org> (supplier of updated texmacs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Mon, 16 Apr 2007 14:38:31 +0900
Source: texmacs
Binary: texmacs-common texmacs
Architecture: source i386 all
Version: 1:
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
 texmacs    - WYSIWYG mathematical text editor using TeX fonts
 texmacs-common - WYSIWYG mathematical text editor using TeX fonts
Closes: 339581 418660
 texmacs (1: unstable; urgency=low
   * Updated english-japanese.scm
   * Fixed dependency; from teTeX to TeX Live.  Thanks to a great work for
     a packaging of TeX live 2007.  (Closes: #418660)
   * Fixed another dependency; added dependency on groff.  (Closes: #339581)
 d429262fa4ab6cfcf4d7b406155cdb17 830 editors optional texmacs_1.0.6.9-3.dsc
 d0342379af1e31165c97302917428ef8 26169 editors optional texmacs_1.0.6.9-3.diff.gz
 66fa9ecb5429cf2ab26c42e33af3cf85 3185276 editors optional texmacs-common_1.0.6.9-3_all.deb
 bb439724e4e264a6d5f90361e44cfd8b 1735432 editors optional texmacs_1.0.6.9-3_i386.deb

Version: GnuPG v1.4.6 (GNU/Linux)


--- End Message ---

Reply to: